Skip to content
GET /unified/accounting/transactions

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

contactstring

The contact to whom the transaction relates to

References: Contacts → id
5 supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
transaction_typestring

The type of the transaction

Possible values:
credit_carddepositestimatereceivereceive_overpaymentreceive_prepaymentrefundspendspend_overpaymentspend_prepaymenttransfer
6 supported1 required2 notes
QuickBooks
required
refunddepositestimatetransfercredit_card

The type of the transaction

Xero
supported
transferspendreceivereceive_overpaymentreceive_prepaymentspend_overpaymentspend_prepayment

The type of the transaction. Specify transfer for getting the Bank Transfers from Xero, else ignore it if you want to get all the Bank Transactions.

ERPNext
supported
Oracle Netsuite
supported
Sage Intacct
supported
Zoho Books
supported
created_atstring · date-time

This represents the date when the transaction was created

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
updated_atstring · date-time

This represents the date when the transaction was updated

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
transaction_datestring · date-time

The date upon which the transaction occurred

6 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
sort_bystring

This should only accept items in ascending order.

Possible values:
transaction_date
1 supported
Zoho Books
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Transactions

idstring
required·

The unique identifier for transactions

6 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
accountstring

The account which receives the transaction

References: Accounts → id
5 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
account_fromstring

The account which initiates the transaction

References: Accounts → id
2 supported
QuickBooks
supported
Xero
supported
companystring

The company the transaction belongs to

References: CompanyInfo → id
1 supported
Zoho Books
supported
contactstring

The contact to whom the transaction relates to

References: Contacts → id
5 supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
created_atstring · date-time

This represents the date when the transaction was created

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
currencystring

The currency of the transaction

6 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
exchange_ratestring

The exchange rate of the transaction

3 supported
Oracle Netsuite
supported
Sage Intacct
supported
Xero
supported
line_itemsobject[]
2 supported
QuickBooks
supported
Xero
supported
13 properties
accountstring

The ID of the account

currencystring

The currency of the line item

descriptionstring

The description of the line item

exchange_ratenumber

The exchange rate of the currency for the line item

idstring

The unique identifier for line item

itemstring

The ID of the item

namestring

The name of the line item

quantitynumber

The quantity of the line item

tax_ratestring

The ID of the tax rate

total_line_amountnumber

The total line amount of the line item.

tracking_categoriesobject[]

Tracking categories of the line item

3 properties
idstring

The ID of the tracking category

namestring

The name of the tracking category

optionstring

The option of the tracking category

typestring

The type of the line item

unit_pricenumber

The unit price of the line item

numberstring

The number of the transaction

5 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Zoho Books
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

total_amountstring

The total amount of the transaction

6 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
tracking_categoriesobject[]

Tracking categories of the transaction

2 supported
QuickBooks
supported
Xero
supported
2 properties
idstring
required·

The unique identifier for tracking categories

namestring

The name of the tracking category

transaction_datestring · date-time

The date upon which the transaction occurred

6 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
transaction_typestring

The type of the transaction

Possible values:
refunddepositestimatetransfercredit_cardspendreceivereceive_overpaymentreceive_prepaymentspend_overpaymentspend_prepayment
5 supported
ERPNext
supported
Oracle Netsuite
supported
Sage Intacct
supported
Xero
supported
Zoho Books
supported
updated_atstring · date-time

This represents the date when the transaction was updated

4 supported
Oracle Netsuite
supported
QuickBooks
supported
Sage Intacct
supported
Xero
supported
curl -X GET 'https://api.truto.one/unified/accounting/transactions?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/transactions?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/transactions"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'accounting',
  'transactions',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "accounting",
        "transactions",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())